Bug 562377 - Review Request: perl-MooseX-Types-Common - A library of commonly used type constraints
Summary: Review Request: perl-MooseX-Types-Common - A library of commonly used type co...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Chen Lei
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/MooseX-Ty...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-06 09:21 UTC by Chris Weyl
Modified: 2016-08-31 13:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-31 13:20:09 UTC
supercyper1: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2010-02-06 09:21:13 UTC
Spec URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Types-Common.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Types-Common-0.001001-1.fc11.src.rpm

Description:
A set of commonly-used type constraints that do not ship with Moose
by default.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1966205

Additional Comment:

This is a new prereq of the latest Catalyst::Runtime.

*rt-0.10_01

Comment 1 Chen Lei 2010-03-04 02:40:22 UTC
Some comments:
PERL_INSTALL_ROOT->DESTDIR?

There's a bug in cpan2spec, see https://bugzilla.redhat.com/show_bug.cgi?id=562316

Comment 2 Chen Lei 2010-03-04 04:27:51 UTC
Formal review:
Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Package is named according to the Package Naming Guidelines.
[x]  Spec file name must match the base package %{name}, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines.
[x]  Package successfully compiles and builds into binary rpms on at least one supported architecture.
Tested on:
[x]  Rpmlint output:
[x]  Package is not relocatable.
[x]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[x]  License field in the package spec file matches the actual license.
License type:
[-]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    :5021b3b93304b0a8a723282dedd0cead 
MD5SUM upstream package:5021b3b93304b0a8a723282dedd0cead 
[x]  Package is not known to require ExcludeArch, OR:
Arches excluded:
Why:
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[-]  The spec file handles locales properly.
[-]  ldconfig called in %post and %postun if required.
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[-]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[-]  Header files in -devel subpackage, if present.
[-]  Static libraries in -devel subpackage, if present.
[-]  Package requires pkgconfig, if .pc files are present.
[-]  Development .so files in -devel subpackage, if present.
[-]  Fully versioned dependency in subpackages, if present.
[x]  Package does not contain any libtool archives (.la).
[x]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
[x]  Latest version is packaged.
[x]  Package does not include license text files separate from upstream.
[-]  Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[x]  Reviewer should test that the package builds in mock.
Tested on:
[x]  Package should compile and build into binary rpms on all supported architectures.
Tested on:
[x]  Package functions as described.
[-]  Scriptlets must be sane, if used.
[-]  The placement of pkgconfig(.pc) files are correct.
[x]  File based requires are sane.

================
*** APPROVED ***
================

Comment 3 Chris Weyl 2010-03-04 05:57:01 UTC
New Package CVS Request
=======================
Package Name: perl-MooseX-Types-Common
Short Description: A library of commonly used type constraints
Owners: cweyl
Branches: F-11 F-12 F-13 devel
InitialCC: perl-sig

Comment 4 Kevin Fenzi 2010-03-06 05:18:26 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Chris Weyl 2010-03-06 06:32:53 UTC
Thanks for the review! :-)

Comment 6 Iain Arnell 2010-08-26 05:45:35 UTC
Package Change Request
======================
Package Name: perl-MooseX-Types-Common
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig

Comment 7 Kevin Fenzi 2010-08-27 19:07:31 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2016-07-20 14:38:37 UTC
perl-MooseX-Types-Common-0.001002-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fb91323641

Comment 9 Fedora Update System 2016-07-20 18:17:49 UTC
perl-MooseX-Types-Common-0.001002-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fb91323641

Comment 10 Fedora Update System 2016-08-31 13:20:02 UTC
perl-MooseX-Types-Common-0.001002-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.